Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: partners.devices.unclaim
संग्रह की मदद से व्यवस्थित रहें
अपनी प्राथमिकताओं के आधार पर, कॉन्टेंट को सेव करें और कैटगरी में बांटें.
ग्राहक से किसी डिवाइस पर दावा किया जाता है और उसे 'पहले से तैयार डिवाइस' सुविधा से हटाया जाता है.
एचटीटीपी अनुरोध
POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:unclaim
यह यूआरएल gRPC ट्रांसकोडिंग सिंटैक्स का इस्तेमाल करता है.
पाथ पैरामीटर
| पैरामीटर |
partnerId |
string (int64 format)
ज़रूरी है. रीसेलर पार्टनर का आईडी.
|
अनुरोध का मुख्य भाग
अनुरोध के मुख्य हिस्से में, यहां दिए गए स्ट्रक्चर का डेटा शामिल होता है:
| JSON के काेड में दिखाना |
{
"sectionType": enum (DeviceProvisioningSectionType),
// Union field device_to_unclaim can be only one of the following:
"deviceId": string,
"deviceIdentifier": {
object (DeviceIdentifier)
}
// End of list of possible types for union field device_to_unclaim.
} |
| फ़ील्ड |
sectionType |
enum (DeviceProvisioningSectionType)
ज़रूरी है. डिवाइस के प्रावधान रिकॉर्ड का सेक्शन टाइप.
|
यूनियन फ़ील्ड device_to_unclaim. ज़रूरी है. डिवाइस जिस पर दावा हटाना है. device_to_unclaim इनमें से सिर्फ़ एक हो सकता है: |
deviceId |
string (int64 format)
ज़रूरी है. devices.claim ने डिवाइस आईडी दिया.
|
deviceIdentifier |
object (DeviceIdentifier)
ज़रूरी है. इस डिवाइस पर दावा करने के दौरान इस्तेमाल किया गया डिवाइस आइडेंटिफ़ायर.
|
जवाब का मुख्य भाग
जवाब सही होने पर, जवाब का मुख्य हिस्सा खाली होता है.
अनुमति पाने के लिंक
नीचे दिए गए OAuth के लिंक की ज़रूरत हाेती है:
https://www.googleapis.com/auth/androidworkprovisioning
ज़्यादा जानकारी के लिए, OAuth 2.0 की खास जानकारी देखें.
जब तक कुछ अलग से न बताया जाए, तब तक इस पेज की सामग्री को Creative Commons Attribution 4.0 License के तहत और कोड के नमूनों को Apache 2.0 License के तहत लाइसेंस मिला है. ज़्यादा जानकारी के लिए, Google Developers साइट नीतियां देखें. Oracle और/या इससे जुड़ी हुई कंपनियों का, Java एक रजिस्टर किया हुआ ट्रेडमार्क है.
आखिरी बार 2025-07-25 (UTC) को अपडेट किया गया.
[null,null,["आखिरी बार 2025-07-25 (UTC) को अपडेट किया गया."],[],["This document details the process to unclaim a device from a customer, removing it from zero-touch enrollment. It uses a `POST` HTTP request to the endpoint: `https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:unclaim`, requires the `partnerId` path parameter and the `https://www.googleapis.com/auth/androidworkprovisioning` OAuth scope. The request body requires a `sectionType`, along with either a `deviceId` or a `deviceIdentifier` to specify the device to unclaim. A successful request returns an empty response body.\n"]]